Order First & Last Touchpoint of an order
POST
/{version}/api/order/attribution-touchRequest
Path Params
versionstringrequiredexample
v2-4-2Header Params
ApiKeystringapi secret key
Body Params
application/jsonorder_idsarray [string]requiredThe IDs of the order, which Up to 20 orders can be retrieved at a time
Child fields
stringExamples
JSON
{
"order_ids": [
"string"
]
}Responses
Body
application/jsoncodeintegerrequired1:success; other:failed
messagestringrequireddataarray [object]requirednullableChild fields
order_idstringfirst_touchpointobjectnullableFirst touchpoint(non-direct) of this order
Child fields
campaignstringrequiredThe campaign name
channelstringrequiredThe channel name, available channel is: direct, referral, creator, ad, email, social media, organic search
sourcestringrequiredThe traffic source
mediumstringrequiredThe traffic medium
timestringrequiredTime stamp, the timezone follows your store setting
last_touchpointobjectnullableLast touchpoint(non-direct) of this order
Child fields
campaignstringrequiredThe campaign name
channelstringrequiredThe channel name, available channel is: direct, referral, creator, ad, email, social media, organic search
sourcestringrequiredThe traffic source
mediumstringrequiredThe traffic medium
timestringrequiredTime stamp, the timezone follows your store setting